import greenfoot.Actor;

/**
 * A class with standard things for an object which
 * is used in the game, like pausing.
 */
public class GameObject extends SmoothMover
{
    private boolean paused;
    
    /**
     * Sets the state to paused or not paused.
     * @param pause If this is true, the object will
     * be paused.
     */
    public void setPaused(boolean pause)
    {
        this.paused = pause;
    }
    
    /**
     * Returns the object is paused or not.
     */
    public boolean isPaused()
    {
        return this.paused;
    }
}